Package org.apache.calcite.avatica.proto

## Interface Common.QueryStateOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Common.QueryState`, `Common.QueryState.Builder`

Enclosing class:
  Common

    public static interface Common.QueryStateOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Common.MetaDataOperationArgument` `getArgs​(int index)` `repeated .MetaDataOperationArgument args = 4;`
`int` `getArgsCount()` `repeated .MetaDataOperationArgument args = 4;`
`java.util.List<Common.MetaDataOperationArgument>` `getArgsList()` `repeated .MetaDataOperationArgument args = 4;`
`Common.MetaDataOperationArgumentOrBuilder` `getArgsOrBuilder​(int index)` `repeated .MetaDataOperationArgument args = 4;`
`java.util.List<? extends Common.MetaDataOperationArgumentOrBuilder>` `getArgsOrBuilderList()` `repeated .MetaDataOperationArgument args = 4;`
`boolean` `getHasArgs()` `bool has_args = 5;`
`boolean` `getHasOp()` `bool has_op = 7;`
`boolean` `getHasSql()` `bool has_sql = 6;`
`Common.MetaDataOperation` `getOp()` `.MetaDataOperation op = 3;`
`int` `getOpValue()` `.MetaDataOperation op = 3;`
`java.lang.String` `getSql()` `string sql = 2;`
`com.google.protobuf.ByteString` `getSqlBytes()` `string sql = 2;`
`Common.StateType` `getType()` `.StateType type = 1;`
`int` `getTypeValue()` `.StateType type = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getTypeValue

    int getTypeValue()

`.StateType type = 1;`

#### getType

    Common.StateType getType()

`.StateType type = 1;`

#### getSql

    java.lang.String getSql()

`string sql = 2;`

#### getSqlBytes

    com.google.protobuf.ByteString getSqlBytes()

`string sql = 2;`

#### getOpValue

    int getOpValue()

`.MetaDataOperation op = 3;`

#### getOp

    Common.MetaDataOperation getOp()

`.MetaDataOperation op = 3;`

#### getArgsList

    java.util.List<Common.MetaDataOperationArgument> getArgsList()

`repeated .MetaDataOperationArgument args = 4;`

#### getArgs

    Common.MetaDataOperationArgument getArgs​(int index)

`repeated .MetaDataOperationArgument args = 4;`

#### getArgsCount

    int getArgsCount()

`repeated .MetaDataOperationArgument args = 4;`

#### getArgsOrBuilderList

    java.util.List<? extends Common.MetaDataOperationArgumentOrBuilder> getArgsOrBuilderList()

`repeated .MetaDataOperationArgument args = 4;`

#### getArgsOrBuilder

    Common.MetaDataOperationArgumentOrBuilder getArgsOrBuilder​(int index)

`repeated .MetaDataOperationArgument args = 4;`

#### getHasArgs

    boolean getHasArgs()

`bool has_args = 5;`

#### getHasSql

    boolean getHasSql()

`bool has_sql = 6;`

#### getHasOp

    boolean getHasOp()

`bool has_op = 7;`